Author Topic: Flash and qt4 browsers?  (Read 5344 times)

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 26
  • Posts: 529
    • View Profile
Flash and qt4 browsers?
« on: May 05, 2014, 07:32:56 pm »
Hi All

Anyone have Flash and/or html5 working in any of the qt4 webkit browsers?

Qupzilla has a setting "Allow netscape plugins" but seems to ignore the Flash plugin completely when copies of npflos2.dll and npswf32.dll are placed in \Programs\qupzilla\plugins

Attempting to play videos on youtube results in a blank black screen with the text:-
"The Adobe Flash Player or an HTML5 supported browser is required for video playback."

Looks like the Qupzilla port is not a fully working port... Do any of the other qt4 browser support html5 and Flash?


Regards

Pete





Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 7
  • -Receive: 87
  • Posts: 1096
    • View Profile
Re: Flash and qt4 browsers?
« Reply #1 on: May 06, 2014, 01:33:20 am »
Mentore on comp-os-os2-apps just posted he got Flash working by updating his QT, in particular QNetwork.dll was old and the problem for him.
I'm pretty sure Qupzilla doesn't support webm

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 26
  • Posts: 529
    • View Profile
Re: Flash and qt4 browsers?
« Reply #2 on: May 07, 2014, 02:44:52 am »
Hi Dave

The os/2 port does not seem to support html5 but I think qupzilla does generally support html5 - otherwise why have options for html5 in the preferences dialog?

I think I am using the latest qt4 files from qt4-4.7.3.2-1.zip

From reading the post that you referred to I would say that Mentore got qupzilla working rather than got flash working in qupzilla.


Regards

Pete

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 7
  • -Receive: 87
  • Posts: 1096
    • View Profile
Re: Flash and qt4 browsers?
« Reply #3 on: May 07, 2014, 04:55:31 am »
Looks like you're right, I should have reviewed the whole thread. :)
As I said in the thread, plugin support seems to be broken in the QT webkit port and until someone fixes it. I guess you could file a bug at netlabs and get feedback from the developers.
HTML 5 is much more then video and sound, try http://html5test.com/ in Qupzlla and FF10 and 17

Mentore

  • Jr. Member
  • **
  • Thank You
  • -Given: 14
  • -Receive: 1
  • Posts: 52
    • View Profile
Re: Flash and qt4 browsers?
« Reply #4 on: May 07, 2014, 09:50:10 am »
Hi Dave

The os/2 port does not seem to support html5 but I think qupzilla does generally support html5 - otherwise why have options for html5 in the preferences dialog?

I think I am using the latest qt4 files from qt4-4.7.3.2-1.zip

From reading the post that you referred to I would say that Mentore got qupzilla working rather than got flash working in qupzilla.


Regards

Pete

Hello all, finally I got back to the forum :)

It's correct. I had an old QNetwork.dll which stopped every Qt network application from working. Now I can start PSI, Facebook, QupZilla and Dooble apparently without problems. Didn't try flash or HTML5, though.

Mentore

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 26
  • Posts: 529
    • View Profile
Re: Flash and qt4 browsers?
« Reply #5 on: May 08, 2014, 05:58:55 pm »
Hi Dave

You piqued my curiosity so I had a look at http://html5test.com/index.html

Seamonkey 2.7.2-12 - Mozilla/5.0 (OS/2; Warp 4.5; rv:10.0.12) Gecko/20130108 Firefox/10.0.12 SeaMonkey/2.7.2 result:-

   Your browser scores 329 out of 555 points


Qupzilla Application version 1.6.3, WebKit version 533.3 result:-

   YOUR BROWSER SCORES 184 OUT OF 555 POINTS


I guess the Qupzilla result is in Capitals to draw attention to the lack of html5 capability  :-)

I've posted a bug about the Flash plugin not working - and mentioned that html5 support seems lacking  http://trac.netlabs.org/qtapps/ticket/80#ticket


Regards

Pete




ivan

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 24
  • Posts: 630
    • View Profile
Re: Flash and qt4 browsers?
« Reply #6 on: May 08, 2014, 08:56:35 pm »
Hi Pete,  I don't know if you have noticed but Qupzilla has problems with nested bookmarks as well which is a killer for me.

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 7
  • -Receive: 87
  • Posts: 1096
    • View Profile
Re: Flash and qt4 browsers?
« Reply #7 on: May 09, 2014, 02:46:41 am »
SeaMonkey 2.14 scores 367 out of 555. It also thinks I'm using lightning 1.9 under OS/2 so not parsing the user agent very well.
I'd think that Qupzillas bad rating is due to limitations in the old webkit though I don't know.

Eirik Romstad

  • Jr. Member
  • **
  • Thank You
  • -Given: 19
  • -Receive: 3
  • Posts: 79
    • View Profile
    • Eirik's homepage
Re: Flash and qt4 browsers?
« Reply #8 on: May 10, 2014, 08:44:06 am »
Firefox 17.05 (Mozilla/5.0 - OS/2; Warp 4.5; rv:17.0) Gecko/20100101 Firefox/17.0) scores 377 of 555.  Performs quite well, and has most of the functionality I need (drawbacks: Java not fully functional on all web pages(= Java not recognized), and for some web pages video not working).

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 7
  • -Receive: 87
  • Posts: 1096
    • View Profile
Re: Flash and qt4 browsers?
« Reply #9 on: May 10, 2014, 09:26:52 am »
I get the same with Firefox 17.0.11 (Mozilla/5.0 (OS/2; Warp 4.5; rv:17.0) Gecko/20100101 Firefox/17.0). Why does Firefox not report the correct version? Security? I notice they still report the same build date as FF4 though about:buildconfig does report 20140307213027 as the build ID.
Interesting that SeaMonkey reports 10 lower then Firefox built from the same tree and same environment.

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 7
  • -Receive: 87
  • Posts: 1096
    • View Profile
Re: Flash and qt4 browsers?
« Reply #10 on: May 10, 2014, 09:31:40 am »
Thunderbird 17.0.11 with Thunderbrowse only scores 366.